| HOpenGL Libraries (OpenGL package) | Contents | Index

Graphics.Rendering.OpenGL.GL.BasicTypes

Portability | portable
Stability | provisional
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 2.3 (GL Command Sytax) of the OpenGL 1.5 specs.
Synopsis

type GLenum = Word32
type GLboolean = Word8
type GLbitfield = Word32
type GLbyte = Int8
type GLshort = Int16
type GLint = Int32
type GLintptr = Int32
type GLubyte = Word8
type GLushort = Word16
type GLuint = Word32
type GLsizei = Int32
type GLsizeiptr = Int32
type GLfloat = Float
type GLclampf = Float
type GLdouble = Double
type GLclampd = Double

data Capability

= Disabled
| Enabled

Documentation
type GLenum = Word32
Enumerated binary integer value (min. 32 bits)
type GLboolean = Word8
Boolean (min. 1 bit)
type GLbitfield = Word32
Bit field (min. 32 bits)
type GLbyte = Int8
Signed 2's complement binary integer (min. 8 bits)
type GLshort = Int16
Signed 2's complement binary integer (min. 16 bits)
type GLint = Int32
Signed 2's complement binary integer (min. 32 bits)
type GLintptr = Int32
Signed 2's complement binary integer (sufficiently large enough to hold any address)
type GLubyte = Word8
Unsigned binary integer (min. 8 bits)
type GLushort = Word16
Unsigned binary integer (min. 16 bits)
type GLuint = Word32
Unsigned binary integer (min. 32 bits)
type GLsizei = Int32
Non-negatitve binary integer size (min. 32 bits)
type GLsizeiptr = Int32
Non-negatitve binary integer size (sufficiently large enough to hold any address)
type GLfloat = Float
Floating-point value (min. 32 bits)
type GLclampf = Float
Floating-point value clamped to [0,1] (min. 32 bits)
type GLdouble = Double
Floating-point value (min. 64 bits)
type GLclampd = Double
Floating-point value clamped to [0,1] (min. 64 bits)
data Capability

Constructors

Disabled |
Enabled |

Instances

Eq Capability
Ord Capability
Show Capability

Produced by Haddock version 0.7